SELECT
  c.customerNumber,c.customerName,salesRepEmployeeNumber,
  o.totalOrderedAmount,p.totalPaidAmount
FROM customers as c
LEFT JOIN
  ( SELECT customerNumber, sum(amount) as totalPaidAmount
    FROM payments GROUP BY 1
  ) as p
  ON c.customerNumber=p.customerNumber
LEFT JOIN
  ( SELECT customerNumber, sum( quantityOrdered * priceEach) as totalOrderedAmount
    FROM orders
    JOIN orderdetails ods where ods.orderNumber = orders.orderNumber
    GROUP BY 1
  ) as o
  ON c.customerNumber=p.customerNumber;