package sample;

import java.util.Map;

import com.openrules.core.*;

public class Test {
   public static void main(String[] args) {
   
       // Set connection properties
       Map<String,String> properties =  ProjectConfiguration.getProperties();
       String url = "openrules.sql.url";
       System.setProperty(url,properties.get(url));
       String user = "openrules.sql.user";
       System.setProperty(user,properties.get(user));
       String password = "openrules.sql.password";
       System.setProperty(password,properties.get(password));
       
       // Define the goal
       Goal goal = new CustomerSample().createGoal();
       goal.put("report", "On");
	   
       Totals totals = new Totals();
       goal.use("Totals", totals);
       Stats stats = new Stats();
       goal.use("Stats", stats);
       goal.execute();
       
       System.out.println("\nTotal Orders="+ totals.getTotalNumberOfSelectedOrders()
                          + " Total Amount=" + totals.getTotalAmount());
       System.out.println("Generate Alerts");
       int n = 0;
       for( String alert : stats.getAlerts() ) {
           System.out.println("Alert #"+ n + ": " + alert );
           n++;
       }
   }
} 
